## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sover 0
Name:           protobuf_comm
Version:        0.9.0
Release:        %autorelease
Summary:        Protobuf wrapper for peer-to-peer communication

License:        GPLv2+
URL:            https://github.com/fawkesrobotics/protobuf_comm
Source0:        https://github.com/fawkesrobotics/protobuf_comm/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  protobuf-devel

%description
Protobuf wrapper for peer-to-peer communication.

%package devel
Summary:    Development files for %{name}
Requires:   %{name}%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}
Requires:   boost-devel
Requires:   protobuf-devel

%description devel
Development files for %{name}.


%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE.md
%{_libdir}/libprotobuf_comm.so.%{sover}*

%files devel
%{_libdir}/libprotobuf_comm.so
%{_includedir}/protobuf_comm
%{_libdir}/cmake/ProtobufComm
%{_libdir}/pkgconfig/protobuf_comm.pc



%changelog
* Thu Sep 09 2021 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 0.9.0-2
- Build with crypto support

* Sat Jun 26 2021 Till Hofmann <hofmann@kbsg.rwth-aachen.de>
- Initial package


